# Properties

SqFt
-
SqFt
$
-
$
Search

### Popular properties

#### 5619 Walnut Hill Ln, Dallas, TX 75229

- $1500/mon
- 30 Sq. Ft.
- 3 Bedrooms

A comfortable residential property located in a quiet and cozy area.

#### 1808 Bolingbroke Pl, Fort Worth, TX 76140

- $1300/mon
- 40 Sq. Ft.
- 2 Bedrooms

Perfect for those who love both city life and the countryside.

#### 924 Bel Air Rd, Los Angeles, CA 90077

- 1800/mon
- 50 Sq. Ft.
- 4 Bedrooms

Located in 5 mins from downtown, this property is great for anyone.

#### 13510 W Cheery Lynn Rd, Avondale, AZ 85392

- $2700/mon
- 90 Sq. Ft.
- 2 Bedrooms

A luxury mansion for people who enjoy the high-end amenities.

#### 12043 33rd Ave NE, Seattle, WA 98125

- 1250/mon
- 35 Sq. Ft.
- 3 Bedrooms

A great investment for a small family looking for a cozy house.

#### 1550 Olympian Cir SW # 3, Atlanta, GA 30310

- $1620/mon
- 45 Sq. Ft.
- 2 Bedrooms

A great property with a beautiful backyard and lots of amenities.